org.apache.fontbox.ttf

## Class GlyfCompositeDescript

- java.lang.Object
- - org.apache.fontbox.ttf.GlyfDescript
  - - org.apache.fontbox.ttf.GlyfCompositeDescript

All Implemented Interfaces:
  GlyphDescription

    public class GlyfCompositeDescript
    extends GlyfDescript

Glyph description for composite glyphs. Composite glyphs are made up of one or more simple glyphs, usually with some sort of transformation applied to each. This class is based on code from Apache Batik a subproject of Apache XMLGraphics. See The Apache™ Batik Project for further details.

### Field Summary

### Fields inherited from class org.apache.fontbox.ttf.GlyfDescript

`ON_CURVE, REPEAT, X_DUAL, X_SHORT_VECTOR, Y_DUAL, Y_SHORT_VECTOR`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getComponentCount()` Get number of components.
`List<GlyfCompositeComp>` `getComponents()` Gets a view to the composite components.
`int` `getContourCount()` Returns the number of contours.
`int` `getEndPtOfContours(int i)` Returns the index of the ending point of the given contour.
`byte` `getFlags(int i)` Returns the flags of the given point.
`int` `getPointCount()` Returns the number of points.
`short` `getXCoordinate(int i)` Returns the x coordinate of the given point.
`short` `getYCoordinate(int i)` Returns the y coordinate of the given point.
`boolean` `isComposite()` Returns whether this point is a composite or not.
`void` `resolve()` Resolve all parts of an composite glyph.

### Methods inherited from class org.apache.fontbox.ttf.GlyfDescript

`getInstructions`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### resolve

    public void resolve()

Resolve all parts of an composite glyph.

Specified by:
  `resolve` in interface `GlyphDescription`
Overrides:
  `resolve` in class `GlyfDescript`

#### getEndPtOfContours

    public int getEndPtOfContours(int i)

Returns the index of the ending point of the given contour.

Parameters:
  `i` - the number of the contour
Returns:
  the index of the ending point of the given contour

#### getFlags

    public byte getFlags(int i)

Returns the flags of the given point. To decode these bit flags, use the static elements of `GlyfDescript`. See also "Outline flags" in The 'glyf' table in the TrueType Reference Manual.

Parameters:
  `i` - the given point
Returns:
  the flags value for the given point

#### getXCoordinate

    public short getXCoordinate(int i)

Returns the x coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the x coordinate value for the given point

#### getYCoordinate

    public short getYCoordinate(int i)

Returns the y coordinate of the given point.

Parameters:
  `i` - the given point
Returns:
  the y coordinate value for the given point

#### isComposite

    public boolean isComposite()

Returns whether this point is a composite or not.

Returns:
  true if this point is a composite

#### getPointCount

    public int getPointCount()

Returns the number of points.

Returns:
  the number of points

#### getContourCount

    public int getContourCount()

Returns the number of contours.

Specified by:
  `getContourCount` in interface `GlyphDescription`
Overrides:
  `getContourCount` in class `GlyfDescript`
Returns:
  the number of contours

#### getComponentCount

    public int getComponentCount()

Get number of components.

Returns:
  the number of components

#### getComponents

    public List<GlyfCompositeComp> getComponents()

Gets a view to the composite components.

Returns:
  unmodifiable list of this composite glyph's components